Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227806 - setroubleshoot browser doesn't allow multiple entry deletion
Summary: setroubleshoot browser doesn't allow multiple entry deletion
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: setroubleshoot
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: John Dennis
QA Contact:
URL:
Whiteboard:
: 227807 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-08 11:00 UTC by Erik Bussink
Modified: 2008-05-21 14:25 UTC (History)
1 user (show)

Fixed In Version: RHSA-2008-0061
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-21 14:25:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0061 normal SHIPPED_LIVE Moderate: setroubleshoot security and bug fix update 2008-05-21 14:25:59 UTC

Description Erik Bussink 2007-02-08 11:00:12 UTC
Description of problem:

The setroubleshoot browser only allows a single entry deletion. Even selecting 
multiple entries in the filter column, doesn't allow a simple multiline 
deletion.

Version-Release number of selected component (if applicable):

setroubleshoot 1.3.1

How reproducible:

Everytime

Steps to Reproduce:
1. launch setroubleshoot browser on a selinux enabled RHEL5 B2
2. select multiple entries in the filter column
3. attempt to delete these entries
  
Actual results:


Expected results:


Additional info:

Comment 1 Daniel Walsh 2007-02-08 14:09:55 UTC
*** Bug 227807 has been marked as a duplicate of this bug. ***

Comment 2 Jan Hutař 2007-02-26 18:07:13 UTC
Hello,
I have same problem with setroubleshoot-1.9.1-1.fc7:

1. select multiple alerts
2. right mouse click on one of them
   => alerts are unselected (except the one we right clicked)

Comment 3 John Dennis 2007-09-15 19:38:50 UTC
Multiple deletes were fixed a long time ago, I'm pretty sure those fixes made it
into the final RHEL version.

Re comment #2, just tested this feature again with setroubleshoot-1.10.0-1 and
the multi-selection persists after the right click and you're presented with a
pop up menu which includes the option to mark delete.

So as far as I can tell it works, BTW to the best of my knowledge there weren't
any changes in this area betwee, setroubleshoot-1.9.1-1.fc7 and
setroubleshoot-1.10.0-1.

Could you please verify it is still failing for you. Please assure you've only
executed a single right click.

Comment 4 Jan Hutař 2007-09-17 08:56:08 UTC
Hello,
there is a setroubleshoot-1.8.11-4.el5 in the RHEL 5 (also in last 5.1 snapshot 
- see /mnt/redhat/rel-eng/RHEL5.1-Server-20070913.0/5/i386/os/Server/
setroubleshoot-1.8.11-4.el5.noarch.rpm). When I selects multiple alerts using 
<Ctrl+click_on_few_alerts> and then right-click on one of selected rows, others 
are deselected and action I choose (e.g. "Mark Delete") is performed only on 
one row. I guess it is too late for 5.1 - sorry, have forget for these bugs 
somehow :-/ Could this go to 5.2?

Regards,
Jan

Comment 5 RHEL Product and Program Management 2007-12-18 22:15:56 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 7 John Dennis 2008-01-09 18:10:22 UTC
This is known to be working the in setroublehshoot 2.0 series scheduled for RHEL 5.2

Comment 10 errata-xmlrpc 2008-05-21 14:25:29 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0061.html



Note You need to log in before you can comment on or make changes to this bug.